import Setting from '@/setting'
let uploadURL = Setting.upload.apiURL

export default {
  // 登录 
  logins: `management/userInfo/login`,

  // oss文件管理
  fileDeletion: `${uploadURL}/oss/manage/fileDeletion`,
  fileupload: `${uploadURL}/oss/manage/fileupload`,
  getPlayAuth: `${uploadURL}/oss/manage/getPlayAuth`,
  removeMoreVideo: `${uploadURL}/oss/manage/removeMoreVideo`,
  removeVideo: `${uploadURL}/oss/manage/removeVideo`,

  // 查询省份城市
  queryCity: `cjEnterprise/city/queryCity`,
  queryProvince: `cjEnterprise/province/queryProvince`,

  // 个人中心
  uploadUserAvatars: `http://www.liuwanr.cn/liuwanr/user/uploadUserAvatars`,
  userinfoUpdate:`management/userInfo/update`,
  userinfo:`management/userInfo/getUserInfo`,
  getAccount:`management/userInfo/getAccount`,
  getUserAccount:`management/userInfo/getUserAccount`,

  // 组织架构
  addStaffPro: `management/staffProfessionalArchitecture/addStaffProfessionalArchitecture`,
  deleteStaffPro: `management/staffProfessionalArchitecture/deleteStaffProfessionalArchitecture`,
  queryStaffPAN: `management/staffProfessionalArchitecture/queryStaffPAN`,
  queryStaffPro: `management/staffProfessionalArchitecture/queryStaffProfessionalArchitecture`,
  updateStaffPro: `management/staffProfessionalArchitecture/updateStaffProfessionalArchitecture`,
  getWorkNumber: `management/staff/getWorkNumber`,

  // 年级
  addStaffGrade: `management/staffGrade/addStaffGrade`,
  deleteStaffGrade: `management/staffGrade/deleteStaffGrade`,
  queryStaffGrade: `management/staffGrade/queryStaffGrade`,
  queryStaffName: `management/staffGrade/queryStaffName`,
  updateStaffGrade: `management/staffGrade/updateStaffGrade`,

  // 员工管理
  addStaff: `management/staff/addStaff`,
  deleteStaffs: `management/staff/deleteStaffs`,
  getStaff: `management/staff/getStaff`,
  queryStaff: `management/staff/enterpriseList`,
  updateStaff: `management/staff/updateStaff`,
  exportFailureStaff: `${Setting.apiBaseURL}/management/staff/exportFailure`,
  uploadFileStaff: `${Setting.apiBaseURL}/management/staff/uploadFile`,
  downloadStaffTemp: `http://39.108.250.202/template/%E8%80%83%E8%AF%95%E5%B9%B3%E5%8F%B0%E5%91%98%E5%B7%A5%E5%AF%BC%E5%85%A5%E6%A8%A1%E6%9D%BF.xlsx`,

  // 角色管理
  getRole: `management/role/get`,
  queryRoles: `management/role/list`,
  removeRole: `management/role/batchRemove`,
  saveOrUpdate: `management/role/saveOrUpdate`,

  // 权限菜单管理
  doAssign: `management/permission/doAssign`,
  queryPermissionMenu: `management/permission/queryPermissionMenu`,
  toAssign: `management/permission/toAssign`,

  // 学校管理
  addClient: `cjEnterprise/client/addClient`,
  deleteClient: `cjEnterprise/client/deleteClient`,
  queryClient: `cjEnterprise/client/list`,
  updateClient: `cjEnterprise/client/updateClient`,
  getClient: `cjEnterprise/client/getClient`, 
  getClientName: `cjEnterprise/client/getClientName`,

  // 用户管理
  addUser: `cjEnterprise/user/addUser`,
  deleteUser: `cjEnterprise/user/deleteUser`,
  queryUser: `cjEnterprise/user/list`,
  updateUser: `cjEnterprise/user/updateUser`,
  uploadFileUser: `${Setting.apiBaseURL}/cjEnterprise/user/uploadFile`,
  exportFailureUser: `${Setting.apiBaseURL}/cjEnterprise/user/exportFailure`,
  downloadUserTemp: 'http://liuwanr.oss-cn-shenzhen.aliyuncs.com/xlsx/20201102/1604658619702.xlsx',

  // 题库分类
  AddOneLevel:`cjEnterprise/questionBank/AddOneLevel`,
  AddSecondLevel:`cjEnterprise/questionBank/AddSecondLevel`,
  deleteById:`cjEnterprise/questionBank/deleteById`,
  getTypeByOneLever:`cjEnterprise/questionBank/getTypeByOneLever`,
  listByPage:`cjEnterprise/questionBank/listByPage`,
  modifyLevel:`cjEnterprise/questionBank/modifyLevel`,
  
  // 题型列表
  typesList:`cjEnterprise/questionTypes/typesList`,

  // 题库管理
  addQuestions:`cjEnterprise/questions/addQuestions`,
  deleteByOne:`cjEnterprise/questions/deleteByOne`,
  findById:`cjEnterprise/questions/findById`,
  pageByCondition:`cjEnterprise/questions/pageByCondition`,
  updateQuestions:`cjEnterprise/questions/update`,
  getExcel:`cjEnterprise/questions/getExcel`,
  impExcel:`${Setting.apiBaseURL}/cjEnterprise/questions/impExcel`,

  // 共享相关
  batchSave:`cjEnterprise/questionSharing/batchSave`,
  cancelByMySharing:`cjEnterprise/questionSharing/cancelByMySharing`,
  delByMySharing:`cjEnterprise/questionSharing/delByMySharing`,
  deleteByMeSubject:`cjEnterprise/questionSharing/deleteByMeSubject`,
  deleteByMeSubjectBySharing:`cjEnterprise/questionSharing/deleteByMeSubjectBySharing`,
  detail:`cjEnterprise/questionSharing/detail`,
  getMeSharingInfo:`cjEnterprise/questionSharing/getMeSharingInfo`,
  pageByConditionSharing:`cjEnterprise/questionSharing/pageByConditionSharing`,
  saveSharing:`cjEnterprise/questionSharing/save`,
}