import store from '@/store'
import router from '@/router'
import generateBtnPermission from '../auth/generateBtnPermission'

const newRoutes = []

function createMeta(item){
    let meta = { title: item.name }
    return meta
}

function createRoute(data){
    data.map(e => {
        if(e.select && e.component){
            let meta = createMeta(e)
            newRoutes.push({
                name: e.component,
                path: e.component,
                component: () => import(`@/pages${e.component}`),
                meta
            })
        }
        e.children && e.children.length && createRoute(e.children)
    })
}

export default function(data,path){
    generateBtnPermission(data)
    createRoute(data)
    // let routes = router.options.routes
    // routes[1].children = [...routes[1].children,...newRoutes]
    store.dispatch('auth/addRoutes',newRoutes)
    // router.addRoutes(routes)
    setTimeout(() => {
        !newRoutes.find(n => n.name == '/index/list') && router.push(newRoutes[0].path)
    },10)
}