import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'index-';

export default {
    path: '/index',
    name: 'index',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/client/list'),
            meta: { title: '学校管理' }
        },{
            name: `${pre}add`,
            path: `add`,
            component: () => import('@/pages/client/add'),
            meta: { title: '新增客户' }
        },
    ]
};
