import BasicLayout from '@/layouts/home';

const meta = {};

const pre = 'quesBank-';

export default {
    path: '/quesBank',
    name: 'quesBank',
    redirect: {
        name: `${pre}list`
    },
    meta,
    component: BasicLayout,
    children: [
        {
            name: `${pre}list`,
            path: `list`,
            component: () => import('@/pages/quesBank/list'),
            meta: { title: '题库管理' }
        },
    ]
};
